package com.alihealth.d2d.provtest.domain;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;

import java.util.Date;

/**
 * 药品召回信息数据子集(DrugRecallApplyInfo)表实体类
 *
 * @author makejava
 * @since 2025-06-10 12:39:23
 */
@SuppressWarnings("serial")
@Data
public class DrugRecallApplyInfo extends Model<DrugRecallApplyInfo> {
    //主键ID
    private Long id;
    //事件流水号
    private String eventId;
    //事件响应时间
    private Date recTime;
    //药品追溯码
    private String ypzsm;
    //上一级包装药品追溯码
    private String bzcj;
    //包装层级
    private String syjbzypzsm;
    //暂无
    private String ymzt;
    //统一社会信用代码（生产企业）
    private String tyshxydmscqy;
    //生产企业名称
    private String scqymc;
    //药品通用名称
    private String yptymc;
    //国家基本药物标识
    private String gjypbsm;
    //疫苗生产批号
    private String ymscph;
    //统一社会信用代码（进口疫苗代理企业）
    private String tyshxydmjkymdlqy;
    //进口疫苗代理企业名称
    private String jkymdlqymc;
    //生产日期
    private Date scrq;
    //疫苗有效期截止日期
    private Date ymyxqjzrq;
    //召回数量
    private Integer zhsl;
    //计划召回数量
    private Integer jhzhsl;
    //到期实际召回数量
    private Integer dqsjzhsl;
    //统一社会信用代码（召回机构）
    private String tyshxydmzhjg;
    //召回机构名称
    private String zhjgmc;
    //开始统计时间
    private Date kstjsj;
    //结束统计时间
    private Date jstjsj;
    //创建时间
    private Date createTime;
    //更新时间
    private Date updateTime;
    //是否删除(0-否 1-是)
    private Integer isDeleted;

}

