package com.alihealth.d2d.provtest.domain;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;

import java.util.Date;

/**
 * 药品经营企业基本信息数据子集(PharmaceuticalTradingEnterprisesBaseInfo)表实体类
 *
 * @author makejava
 * @since 2025-06-10 12:39:23
 */
@SuppressWarnings("serial")
@Data
public class PharmaceuticalTradingEnterprisesBaseInfo extends Model<PharmaceuticalTradingEnterprisesBaseInfo> {
    //主键ID
    private Long id;
    //事件流水号
    private String eventId;
    //统一社会信用代码
    private String tyshxydm;
    //企业名称
    private String qymc;
    //企业类型
    private String qylx;
    //企业小类
    private String qyxl;
    //住所地址
    private String zsdz;
    //住所地址- 国家（或地区）
    private String zsdzgjhdq;
    //住所地址- 省（直辖市/自治区）
    private String zsdzszxszzq;
    //住所地址- 市（区/自治州/盟）
    private String zsdzsqzzzm;
    //住所地址- 县（自治县/县级市）
    private String zsdzxzzxxjs;
    //住所地址-乡（镇/街道办事处）
    private String zsdzxzjdbsc;
    //住所地址-村（街/路/ 弄等）
    private String zsdzcjlld;
    //住所地址-门牌号码
    private String zsdzmphm;
    //法定代表人
    private String fddbr;
    //注册资本
    private String zczb;
    //成立日期
    private Date clrq;
    //营业期限
    private String yyqx;
    //经营范围
    private String jyfw;
    //登记机关
    private String djjg;
    //固定电话号码
    private String gddhhm;
    //传真号码
    private String czhm;
    //电子信箱
    private String dzxx;
    //企业网址
    private String qywz;
    //联系人
    private String lxr;
    //联系电话
    private String lxdh;
    //暂无
    private String zsgps;
    //创建时间
    private Date createTime;
    //更新时间
    private Date updateTime;
    //是否删除(0-否 1-是)
    private Integer isDeleted;

}

