package com.alihealth.d2d.provtest.domain;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;

import java.util.Date;

/**
 * 药品自检信息数据子集(DrugSelfInspectionApplyInfo)表实体类
 *
 * @author makejava
 * @since 2025-06-10 12:39:23
 */
@SuppressWarnings("serial")
@Data
public class DrugSelfInspectionApplyInfo extends Model<DrugSelfInspectionApplyInfo> {
    //主键ID
    private Long id;
    //事件流水号
    private String eventId;
    //事件响应时间
    private Date recTime;
    //国家药品标识码
    private String gjypbsm;
    //药品通用名称
    private String yptymc;
    //药品英文名称
    private String ypywmc;
    //进口药品中文译名
    private String jkypzwym;
    //药品商品名称
    private String ypspmc;
    //药品本位码
    private String ypbwm;
    //剂型
    private String jx;
    //制剂规格
    private String zjgg;
    //包装规格
    private String bzgg;
    //包装转换比
    private Double bzzhb;
    //药品有效期
    private Integer ypyxq;
    //药品有效期单位
    private String ypyxqdw;
    //药品批准文号
    private String yppzwh;
    //药品批准文号有效期
    private Date yppzwhyxq;
    //进口药品注册证号
    private String jkypzczh;
    //进口药品注册证有效期
    private Date jkypzczyxq;
    //进口药品批件号
    private String jkyppjh;
    //进口药品批件有效期
    private Date jkyppjyxq;
    //药品注册分类
    private String ypzcfl;
    //国家基本药物标识
    private String gjjbywbs;
    //特殊药品管理分类
    private String tsypglfl;
    //处方药标识
    private String cfybs;
    //境内药品上市许可持有人名称
    private String jnypssxkcyrmc;
    //统一社会信用代码（境内药品上市许可持有人）
    private String tyshxydmjnypssxkcyr;
    //境外药品上市许可持有人名称（中文）
    private String jwypssxkcyrmczw;
    //境外药品上市许可持有人名称（英文）
    private String jwypssxkcyrmcyw;
    //境外药品上市许可持有人代码
    private String jwypssxkcyrdm;
    //境内药品生产企业名称
    private String jnypscqymc;
    //统一社会信用代码(境内药品生产企业)
    private String tyshxydmjnypscqy;
    //境外药品生产企业名称（中文）
    private String jwypscqymczw;
    //境外药品生产企业名称（英文）
    private String jwypscqymcyw;
    //境外药品生产企业代码
    private String jwypscqydm;
    //分包装厂名称
    private String fbzcmc;
    //统一社会信用代码（分包装厂）
    private String tyshxydmfbzc;
    //药品生产日期
    private Date ypscrq;
    //药品有效期截止日期
    private Date ypyxqjzrq;
    //药品生产批号
    private String ypscph;
    //报告日期
    private Date bgrq;
    //签章日期
    private Date gzrq;
    //药品检验报告书编号
    private String ypjybgsbh;
    //药品检验日期
    private Date ymjyrq;
    //药品检验报告扫描件
    private String ypjybgsmj;
    //创建时间
    private Date createTime;
    //更新时间
    private Date updateTime;
    //是否删除(0-否 1-是)
    private Integer isDeleted;

}

