package com.alihealth.d2d.provtest.domain;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;

import java.util.Date;

/**
 * 进口药品基本信息数据子集(ImportedDrugBaseInfo)表实体类
 *
 * @author makejava
 * @since 2025-06-10 12:39:23
 */
@SuppressWarnings("serial")
@Data
public class ImportedDrugBaseInfo extends Model<ImportedDrugBaseInfo> {
    //主键ID
    private Long id;
    //事件流水号
    private String eventId;
    //国家药品标识码
    private String gjypbsm;
    //药品英文名称
    private String ypywmc;
    //进口药品中文译名
    private String jkypzwym;
    //药品商品名称
    private String ypspmc;
    //药品本位码
    private String ypbwm;
    //剂型
    private String jx;
    //制剂规格
    private String zjgg;
    //包装规格
    private String bzgg;
    //包装转换比
    private Double bzzhb;
    //包装转换比单位
    private String bzzhbdw;
    //药品有效期
    private Integer ypyxq;
    //药品有效期单位
    private String ypyxqdw;
    //药品批准文号
    private String yppzwh;
    //药品批准文号有效期
    private Date yppzwhyxq;
    //进口药品注册证号
    private String jkypzczh;
    //进口药品注册证有效期
    private Date jkypzczyxq;
    //进口药品批件号
    private String jkyppjh;
    //进口药品批件有效期
    private Date jkyppjyxq;
    //药品注册分类
    private String ypzcfl;
    //国家基本药物标识
    private String gjjbywbs;
    //特殊药品管理分类
    private String tsypglfl;
    //处方药标识
    private String cfybs;
    //境外药品上市许可持有人代码
    private String jwypssxkcyrdm;
    //境外药品生产企业代码
    private String jwypscqydm;
    //分包装厂名称
    private String fbzcmc;
    //统一社会信用代码（分包装厂）
    private String tyshxydmfbzc;
    //分包装厂地址
    private String fbzcdz;
    //进口药品代理企业名称
    private String jkypdlqymc;
    //统一社会信用代码(进口药品代理企业)
    private String tyshxydmjkypdlqy;
    //暂无
    private String sczt;
    //包装规格标识
    private String bzggbs;
    //子集：bzbl-包装比例 、bzjb-包装级别 、ypbsm-药品标识码
    private String basqxqs;
    //创建时间
    private Date createTime;
    //更新时间
    private Date updateTime;
    //是否删除(0-否 1-是)
    private Integer isDeleted;

}

